#Código arándanos 
#Transformación de datos
BaseArandanos$Rendimiento=BaseArandanos$Rendimiento/100
BaseArandanos$Carbono=BaseArandanos$Carbono/100

#Modelo con interacción triple
m1=lm(Rendimiento~(Tiempo+Humedad+Temperatura+Potencia)^3,      data=BaseArandanos)
summary(m1)

# Grafica interacción triple
install.packages("dae")
library(dae)
BaseArandanos$RENDIMIENTO=BaseArandanos$Rendimiento*100;BaseArandanos$CARBONO=BaseArandanos$Carbono*100
interaction.ABC.plot(RENDIMIENTO, x.factor=Humedad,
                     groups.factor=Temperatura, trace.factor=Potencia,
                     data=BaseArandanos[-c(9,13,18),], # elimino las filas con puntos centrales
                     title="Efecto de Humedad, Temperatura y Potencia sobre el Rendimiento")



#Modelo beta con interaccion triple
install.packages("betareg")
library(betareg)
m2=betareg(Carbono~(Tiempo+Humedad+Temperatura+Potencia)^3 , link='logit',data=BaseArandanos)
summary(m2)

#Grafico interacción triple 
interaction.ABC.plot(CARBONO, x.factor=Humedad,
                     groups.factor=Temperatura, trace.factor=Potencia,
                     data=BaseArandanos[-c(9,13,18),], # elimino filas con puntos centrales
                     title="Efecto de Humedad, Temperatura y Potencia sobre el contenido")

#Código manzanas 

BaseManzanas$Ren=BaseManzanas$Rendimiento/100
BaseManzanas$Car=BaseManzanas$Carbono/100
attach(BaseManzanas)

install.packages("betareg")
library(betareg)
m3=betareg(Ren~Tiempo*Humedad*Temperatura*Potencia , link='logit',data=BaseManzanas)
summary(m3)

#Modelo gamlss para el rendimiento
install.packages("gamlss")
library(gamlss)
m4 <- gamlss(
  formula = Ren ~ Tiempo*Humedad*Temperatura*Potencia,
  sigma.formula = ~  (Tiempo + Humedad + Temperatura + Potencia)^2,
  family  = BE,
  data    = BaseManzanas,
  trace   = FALSE
)
summary(m4)   
